Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.space
Class CollectionSpace.ListMutableRandomIterator

    java.lang.Object
      org.ascape.model.space.CollectionSpace.CSIterator
          org.ascape.model.space.CollectionSpace.CSMutableIterator
              org.ascape.model.space.CollectionSpace.ListMutableRandomIterator

All Implemented Interfaces:
  java.io.Serializable, java.util.Iterator, RandomIterator, Randomizable, ResetableIterator

Enclosing class:
  CollectionSpace

    protected class CollectionSpace.ListMutableRandomIterator

extends CollectionSpace.CSMutableIterator
implements RandomIterator

The Class ListMutableRandomIterator.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.space.CollectionSpace.CSIterator
`copy, copyIterator`

Constructor Summary
`CollectionSpace.ListMutableRandomIterator()` Instantiates a new list mutable random iterator.

Method Summary
`void` | `randomize()`

Methods inherited from class org.ascape.model.space.CollectionSpace.CSMutableIterator
`hasNext, next, remove`

Methods inherited from class org.ascape.model.space.CollectionSpace.CSIterator
`first`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ascape.util.ResetableIterator
`first`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Constructor Detail

### CollectionSpace.ListMutableRandomIterator

    public CollectionSpace.ListMutableRandomIterator()

  Instantiates a new list mutable random iterator.

Method Detail

### randomize

    public void randomize()

  Specified by:
    `randomize` in interface `Randomizable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD